#include <iostream>
#include <iomanip>
#include <vector>
#include <algorithm>
using namespace std;

struct f{
	long long int novac;
	long double proc;
};

bool uporedi(f a1, f a2){
	return (a1.proc < a2.proc);
}

int main(){
	long long int n, a;
	long double p, zbir=0;
	cin >> n;
	vector<f> v;
	double maksimum = zbir;
	for(long long int i=0; i<n; i++){
		cin >> a >> p;
		zbir += a;
		f osoba;
		osoba.novac = a;
		osoba.proc = p;
		v.push_back(osoba);
	}
	
	sort(v.begin(), v.end(), uporedi);
	
	for(long long int i=0; i<v.size(); i++){
		zbir*=(v[i].proc/100);
		if(zbir > maksimum)
			maksimum = zbir;
		zbir/=(v[i].proc/100);
		zbir-=v[i].novac;
	}
	cout << fixed << maksimum;
	
}